Subject: Re: [X2Go-Dev] Bug#566: X2Go Client for Windows 4.0.2.1 cannot create C:\Users\<username>\ssh\known_hosts file when the local Windows account username has non-Ascii characters

From: "George Trakatelis" <[email-masked]>
Date: Sun, 7 Sep 2014 13:04:51 +0300

Hi Mike,

1st, Ok.

2nd, You guessed right, so I have attached the very same file.

3rd, Your findings really puzzled me, so I did the following:

a. Installed German keyboard. Hit ';' to produce an accented letter
and -to my surprise- got ö. So I thought ölexandr was the right name to test for username.

b. Created user ölexandr and logged in as that user.
The patch did not work, as you mentioned.

c. As toLocal8Bit() returns the local 8-bit representation of a string,
I changed the system locale for non-unicode programs to German.
Now the patch worked!

I think the patch solves the problem for the Windows users who use English
as a foreign language and prefer having (non-Ascii) usernames in their native language.

-George

PS. A better title for the bug would be

X2Go Client for Windows 4.0.2.1 cannot create C:\Users\<username>\ssh\known_hosts file when the local Windows account username has non-Ascii characters

-----Αρχικό μήνυμα-----
Από: Michael DePaulo [mailto:[email-masked]] 
Αποστολή: Κυριακή, 7 Σεπτεμβρίου 2014 7:44 πμ
Προς: Mike Gabriel; [email-masked]
Κοιν.: [email-masked]; George Trakatelis
Θέμα: Re: [X2Go-Dev] Bug#566: Bug#566: X2Go Client for Windows 4.0.2.1 cannon create C:\Users\<username>\ssh\known_hosts file when the local Windows account username has non-English characters

Hi George,

1st, please use either "diff -c" or "git diff" to prepare the patch.
You can even use "git diff" on a files/folders that are outisde of a git source tree.

2nd, I tried what I think was your patch. I've attached the change I used, it is outputted with "git diff". I used the x2goclient master branch (4.0.3.0.)

Unfortunately, it failed to fix the bug. I did not experience any regressions though.

I tested it on both a Windows XP 32-bit SP3 machine and a Windows 8.1 64-bit machine (with the latest required updates & optional updates from MS.)

3rd, the username I used was "δοκιμαστικό χρήστη". That is how Google Translate translated "test user" into Greek. Because it is not easy for me to type that name into the Windows login prompt, I simply ran commands like the following to test it:
runas "/user:δοκιμαστικό χρήστη" "c:\x2gobuilds\x2goclient\dist\x2goclient.exe"

-Mike